Bug 1572511 - Kickstart logvol command raise an exception when --metadatasize or --chunksize parameters are used
Summary: Kickstart logvol command raise an exception when --metadatasize or --chunksiz...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Konecny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e68e71f3363c43d6c0bfaf9c573...
Depends On:
Blocks: 1572594
TreeView+ depends on / blocked
 
Reported: 2018-04-27 08:01 UTC by Jiri Konecny
Modified: 2019-05-28 19:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1572594 (view as bug list)
Environment:
Last Closed: 2019-05-28 19:58:03 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (926.19 KB, text/plain)
2018-04-27 08:01 UTC, Jiri Konecny
no flags Details
File: anaconda.log (11.81 KB, text/plain)
2018-04-27 08:01 UTC, Jiri Konecny
no flags Details
File: dbus.log (3.13 KB, text/plain)
2018-04-27 08:01 UTC, Jiri Konecny
no flags Details
File: dnf.librepo.log (25.37 KB, text/plain)
2018-04-27 08:01 UTC, Jiri Konecny
no flags Details
File: environ (636 bytes, text/plain)
2018-04-27 08:01 UTC, Jiri Konecny
no flags Details
File: hawkey.log (763 bytes, text/plain)
2018-04-27 08:01 UTC, Jiri Konecny
no flags Details
File: ks.cfg (1.53 KB, text/plain)
2018-04-27 08:01 UTC, Jiri Konecny
no flags Details
File: lorax-packages.log (25.49 KB, text/plain)
2018-04-27 08:01 UTC, Jiri Konecny
no flags Details
File: lsblk_output (1.77 KB, text/plain)
2018-04-27 08:01 UTC, Jiri Konecny
no flags Details
File: lvm.log (192.08 KB, text/plain)
2018-04-27 08:01 UTC, Jiri Konecny
no flags Details
File: nmcli_dev_list (4.08 KB, text/plain)
2018-04-27 08:02 UTC, Jiri Konecny
no flags Details
File: os_info (556 bytes, text/plain)
2018-04-27 08:02 UTC, Jiri Konecny
no flags Details
File: program.log (37.52 KB, text/plain)
2018-04-27 08:02 UTC, Jiri Konecny
no flags Details
File: storage.log (125.88 KB, text/plain)
2018-04-27 08:02 UTC, Jiri Konecny
no flags Details
File: syslog (620.64 KB, text/plain)
2018-04-27 08:02 UTC, Jiri Konecny
no flags Details
File: ifcfg.log (6.74 KB, text/plain)
2018-04-27 08:02 UTC, Jiri Konecny
no flags Details
File: packaging.log (1.26 KB, text/plain)
2018-04-27 08:02 UTC, Jiri Konecny
no flags Details

Description Jiri Konecny 2018-04-27 08:01:24 UTC
Description of problem:


Version-Release number of selected component:
anaconda-28.22.10

The following was filed automatically by anaconda:
anaconda 28.22.10 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 664, in new_lv
    return LVMLogicalVolumeDevice(name, *args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 53, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/kickstart.py", line 1142, in execute
    **pool_args)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/kickstart.py", line 921, in execute
    l.execute(storage, ksdata, instClass)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/kickstart.py", line 2662, in doKickstartStorage
    ksdata.logvol.execute(storage, ksdata, instClass)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/tui/spokes/storage.py", line 389, in execute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/tui/hubs/summary.py", line 74, in setup
    spoke.execute()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/tui/__init__.py", line 208, in setup
    should_schedule = obj.setup(self.ENVIRONMENT)
  File "/sbin/anaconda", line 788, in <module>
    anaconda._intf.setup(ksdata)
TypeError: __init__() got an unexpected keyword argument 'metadatasize'

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   initrd=/test/fedora_devel/initrd.img nokill resolution=1024x768 inst.repo=http://cobra02/trees/fedora_devel ks=http://cobra02/ks/jk/testing.ks _updates=http://cobra02/ks/jk/master_updates.img BOOT_IMAGE=/test/fedora_devel/vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.3-301.fc28.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        28

Comment 1 Jiri Konecny 2018-04-27 08:01:39 UTC
Created attachment 1427547 [details]
File: anaconda-tb

Comment 2 Jiri Konecny 2018-04-27 08:01:41 UTC
Created attachment 1427548 [details]
File: anaconda.log

Comment 3 Jiri Konecny 2018-04-27 08:01:43 UTC
Created attachment 1427549 [details]
File: dbus.log

Comment 4 Jiri Konecny 2018-04-27 08:01:45 UTC
Created attachment 1427550 [details]
File: dnf.librepo.log

Comment 5 Jiri Konecny 2018-04-27 08:01:46 UTC
Created attachment 1427551 [details]
File: environ

Comment 6 Jiri Konecny 2018-04-27 08:01:48 UTC
Created attachment 1427552 [details]
File: hawkey.log

Comment 7 Jiri Konecny 2018-04-27 08:01:49 UTC
Created attachment 1427553 [details]
File: ks.cfg

Comment 8 Jiri Konecny 2018-04-27 08:01:51 UTC
Created attachment 1427554 [details]
File: lorax-packages.log

Comment 9 Jiri Konecny 2018-04-27 08:01:53 UTC
Created attachment 1427555 [details]
File: lsblk_output

Comment 10 Jiri Konecny 2018-04-27 08:01:58 UTC
Created attachment 1427556 [details]
File: lvm.log

Comment 11 Jiri Konecny 2018-04-27 08:02:00 UTC
Created attachment 1427557 [details]
File: nmcli_dev_list

Comment 12 Jiri Konecny 2018-04-27 08:02:01 UTC
Created attachment 1427558 [details]
File: os_info

Comment 13 Jiri Konecny 2018-04-27 08:02:03 UTC
Created attachment 1427559 [details]
File: program.log

Comment 14 Jiri Konecny 2018-04-27 08:02:08 UTC
Created attachment 1427560 [details]
File: storage.log

Comment 15 Jiri Konecny 2018-04-27 08:02:20 UTC
Created attachment 1427561 [details]
File: syslog

Comment 16 Jiri Konecny 2018-04-27 08:02:22 UTC
Created attachment 1427562 [details]
File: ifcfg.log

Comment 17 Jiri Konecny 2018-04-27 08:02:23 UTC
Created attachment 1427563 [details]
File: packaging.log

Comment 18 Jiri Konecny 2018-04-27 11:29:35 UTC
PR: https://github.com/rhinstaller/anaconda/pull/1463

Comment 19 Ben Cotton 2019-05-02 21:53:48 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2019-05-28 19:58:03 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.